Get Observability projects
https://api.elastic-cloud.com
- GET /api/v1/serverless/projects/observability
Fetches a list of Observability projects.
Query Parameters
-
traffic_filterstring traffic filters associated with this project
-
linkedstring · pattern: ^[a-z0-9]{32}$ Contains a project ID. If specified, the result will be filtered to only those origin projects that are linked to the specified project ID in a cross-project search configuration.
If specified, the result will be filtered to only those projects that have the specified tags and corresponding values.
Responses
The Observability project list
-
next_pagestringdeprecated -
A token to fetch the next page.
-
itemsObservabilityProjectrequired -
The actual projects.
-
idstring · pattern: ^[a-z0-9]{32}$required -
ID of the project.
-
namestring · min: 1 · max: 255required -
Descriptive name for a project.
-
aliasstring · min: 8 · max: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
region_idstringrequired -
Unique human-readable identifier for a region in Elastic Cloud.
-
metadataProjectMetadatarequired -
Additional details about the project.
-
created_atstringrequired -
Date and time when the project was created.
-
created_bystringrequired -
ID of the user.
-
organization_idstringrequired -
The Organization ID who owns the project.
-
suspended_atstring -
Date and time when the project was suspended.
-
suspended_reasonstring -
Reason why the project was suspended.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
linkedLinkConfiguration -
Configuration for projects linked to this project
-
product_tierObservabilityProjectProductTier -
the tier of the observability project. The default is "complete" when not specified at creation time.
-
Values:
completelogs_essentials -
endpointsObservabilityProjectEndpointsrequired -
The endpoints to access the different apps of the project.
-
elasticsearchstringrequired -
The endpoint to access elasticsearch.
-
kibanastringrequired -
The endpoint to access kibana.
-
apmstringrequired -
The endpoint to access apm.
-
ingeststringrequired -
The endpoint to access the Managed OTLP Endpoint.
-
private_endpointsObservabilityProjectPrivateEndpoints -
Private endpoints (URLs) for Observability projects when PrivateLink is enabled.
-
elasticsearchstringrequired -
The PrivateLink endpoint URL to access elasticsearch.
-
kibanastringrequired -
The PrivateLink endpoint URL to access kibana.
-
apmstringrequired -
The PrivateLink endpoint URL to access APM.
-
ingeststringrequired -
The PrivateLink endpoint URL to access the Managed OTLP Endpoint.